OpenPose 1.0.0rc2 OpenPose: A Real-Time Multi-Person Key-Point Detection And Multi-Threading C++ Library

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Namespaces | Functions
fileSystem.hpp File Reference
`#include <openpose/core/common.hpp>`

Go to the source code of this file.

## Namespaces
| op

## Functions
OP_API void | op::makeDirectory (const std::string &directoryPath)
OP_API bool | op::existDirectory (const std::string &directoryPath)
OP_API bool | op::existFile (const std::string &filePath)
OP_API std::string | op::formatAsDirectory (const std::string &directoryPathString)
OP_API std::string | op::getFileNameAndExtension (const std::string &fullPath)
OP_API std::string | op::getFileNameNoExtension (const std::string &fullPath)
OP_API std::string | op::getFileExtension (const std::string &fullPath)
OP_API std::string | op::getFullFilePathNoExtension (const std::string &fullPath)
OP_API std::string | op::getFileParentFolderPath (const std::string &fullPath)
OP_API std::vector< std::string > | op::getFilesOnDirectory (const std::string &directoryPath, const std::vector< std::string > &extensions={})
OP_API std::vector< std::string > | op::getFilesOnDirectory (const std::string &directoryPath, const std::string &extension)
OP_API std::string | op::removeSpecialsCharacters (const std::string &stringToVariate)
OP_API void | op::removeAllOcurrencesOfSubString (std::string &stringToModify, const std::string &substring)
OP_API void | op::replaceAll (std::string &stringText, const char charToChange, const char charToAdd)